#!/bin/bash

echo "===== Cloning Docker Images ====="
cd images/
git clone https://github.com/matrix-org/mjolnir
git clone https://github.com/matrix-org/pantalaimon
git clone https://git.anonymousland.org/anonymousland/synapse-worker-docker
git clone https://git.anonyomusland.org/anonymousland/synapse-docker
git clone https://git.anonymousland.org/anonymousland/synapse-captcha
git clone https://github.com/turt2live/matrix-dimension

echo "===== Building Docker Images ====="
bash build.sh

echo "===== Building Tools ====="
cd ../
mkdir tools
cd tools/

git clone https://github.com/matrix-org/rust-synapse-compress-state
cd rust-synapse-compress-state/synapse-auto-compressor/
cargo build
mv ../target/debug/synapse_auto_compressor ../../synapse_auto_compressor

cd ../
cd ../

git clone https://github.com/joj0/synadm
cd synadm
sudo python3 setup.py install

cd ../

echo "===== Pulling Docker Images ====="
docker-compose pull

echo "===== Complete ====="